<?xml version="1.0" encoding="utf-8"?>
<FlexViewDescription>

	<Objects>
		<Column id="Label" fitting="content">
			<Attributes horizontalAlignment="right" font="RegularSystemFont" />
		</Column>
		<Column id="Space" minWidth="10" fitting="content" />
		<Column id="Content" fitting="maximum">
			<Attributes horizontalAlignment="left" />
		</Column>
		<Column id="ContentColumn1" minWidth="170" fitting="content">
			<Attributes horizontalAlignment="left" />
		</Column>
		<Column id="ContentColumn2" fitting="content">
			<Attributes horizontalAlignment="left" />
		</Column>

		<Column id="TablesColumn" fitting="content">
			<Attributes horizontalAlignment="justified"/>
		</Column>

		<Column id="PopupsColumn" fitting="content">
			<Attributes horizontalAlignment="justified"/>
		</Column>
		
		<CocoaAttributes id="stripe" padding="8,16,8,16" backgroundColor="ededed" borderColorBottom="bfbfbf" borderThickness="0,0,0,1" borderInset="0,0,0,60" />
		<CocoaAttributes id="lastContentStripe" padding="8,16,8,16" backgroundColor="ededed" />
		<CocoaAttributes id="lastStripe" backgroundColor="ededed" />

	</Objects>

	<RootContainer>

		<Attributes font="RegularSystemFont" />

		<RowContainer id="phase1Stripe" cocoaAttributes="stripe" equalSpacing="0">
			<ColumnContainer columns="Replicator,Label,Space,Content">
				<TextField label="Phase 1 Proposal" columnId="Label">
					<Attributes font="BoldRegularSystemFont" />
				</TextField>
			</ColumnContainer>
			<ColumnContainer id="exchangeModeHidingContainer" columns="Replicator,Label,Space,Content">
				<TextField label="Exchange Mode" columnId="Label" />
				<ColumnContainer columns="TablesColumn,HelpColumn" columnId="Content">
					<PopUpButton id="exchangeMode" tagValue="main" columnId="TablesColumn">
						<label tag="main">main</label>
						<label tag="aggressive">aggressive</label>
					</PopUpButton>
					<ImageButton id="exchangeModeHelp" columnId="HelpColumn" dontReplicate="1" axLabel="Help" >
						<CocoaAttributes backgroundOff="flexview-help" backgroundOffRollover="flexview-help-rollover" backgroundOffClicked="flexview-help-clicked" />
					</ImageButton>
				</ColumnContainer>
			</ColumnContainer>
			<ColumnContainer id="phase1NetworkProtocolHidingContainer" columns="Replicator,Label,Space,Content">
				<TextField label="Network Protocol" columnId="Label" />
				<ColumnContainer columns="TablesColumn, HelpColumn" columnId="Content">
					<PopUpButton id="phase1NetworkProtocol" columnId="TablesColumn">
						<label tag="UDP">UDP</label>
						<label tag="TCP">TCP</label>
					</PopUpButton>
				</ColumnContainer>
			</ColumnContainer>

			<ColumnContainer id="phase1KeysetIDHidingContainer" columns="Replicator,Label,Space,Content">
				<TextField id="phase1KeysetIDLabel" label="Phase 1 Keyset IDs" columnId="Label" />
				<ColumnContainer columnId="Content" columns="TablesColumn,HelpColumn">
					<PopUpButton id="phase1KeysetID" columnId="TablesColumn">
						<label tag="0,0">KEYSET_LOCAL_0_REMOTE_0</label>
						<label tag="0,1">KEYSET_LOCAL_0_REMOTE_1</label>
						<label tag="1,0">KEYSET_LOCAL_1_REMOTE_0</label>
					</PopUpButton>
<!--					<ImageButton id="phase1KeysetIDHelp" dontReplicate="1" axLabel="Help" >-->
<!--						<CocoaAttributes backgroundOff="flexview-help" backgroundOffRollover="flexview-help-rollover" backgroundOffClicked="flexview-help-clicked" />-->
<!--					</ImageButton>-->
				</ColumnContainer>
			</ColumnContainer>

			<ColumnContainer id="phase1LifetimeInSecondsHidingContainer" columns="Replicator,Label,Space,Content">
				<TextField label="Lifetime" columnId="Label" />
				<ColumnContainer columnId="Content">
					<TextView value="28800" label="Lifetime" id="phase1LifetimeInSeconds" fieldEditor="1" viewModeGray="1" />
					<TextField label="seconds" viewModeGray="1" />
					<ImageButton id="phase1LifetimeInSecondsHelp" dontReplicate="1" axLabel="Help" >
						<CocoaAttributes backgroundOff="flexview-help" backgroundOffRollover="flexview-help-rollover" backgroundOffClicked="flexview-help-clicked" />
					</ImageButton>
				</ColumnContainer>
			</ColumnContainer>
			<ColumnContainer id="phase1EncryptionAlgorithmsHidingContainer" columns="Replicator,Label,Space,Content">
				<TextField label="Encryption Algorithm" columnId="Label">
					<Attributes font="RegularSystemFont" />
				</TextField>
				<ColumnContainer columns="TablesColumn" columnId="Content">
					<TableView id="phase1EncryptionAlgorithms" columnId="TablesColumn" value="6" padding="10,10,10,10">
						<label tag="aes 256">AES 256</label>
						<label tag="aes 192">AES 192</label>
						<label tag="aes 128">AES 128</label>
						<label tag="3des">3DES</label>
						<label tag="des">DES</label>
						<label tag="blowfish">Blowfish</label>
						<label tag="cast128">CAST 128</label>
					</TableView>
					<ImageButton id="phase1AlgorithmsHelp" dontReplicate="1" axLabel="Help" >
						<CocoaAttributes backgroundOff="flexview-help" backgroundOffRollover="flexview-help-rollover" backgroundOffClicked="flexview-help-clicked" />
					</ImageButton>
				</ColumnContainer>
			</ColumnContainer>
			<ColumnContainer id="phase1HashAlgorithmsHidingContainer" columns="Replicator,Label,Space,Content">
				<TextField label="Hash Algorithm" columnId="Label">
					<Attributes font="RegularSystemFont" />
				</TextField>
				<ColumnContainer columns="TablesColumn" columnId="Content">
					<TableView id="phase1HashAlgorithms" columnId="TablesColumn" value="6" >
						<label tag="sha2_512">SHA2 (512)</label>
						<label tag="sha2_384">SHA2 (384)</label>
						<label tag="sha2_256">SHA2 (256)</label>
						<label tag="sha1">SHA1</label>
						<label tag="md5">MD5</label>
						<label tag="none">No Hash</label>
					</TableView>
				</ColumnContainer>
			</ColumnContainer>
			<ColumnContainer id="phase1DHGroupsHidingContainer" columns="Replicator,Label,Space,Content">
				<TextField label="Diffie-Hellman" columnId="Label">
					<Attributes font="RegularSystemFont" />
				</TextField>
				<ColumnContainer columns="TablesColumn" columnId="Content">
					<RowContainer columnId="TablesColumn">
						<TableView id="phase1DHGroups:table">
							<label tag="group32">Group 32 (Curve448)</label>
							<label tag="group31">Group 31 (Curve25519)</label>
							<label tag="group30">Group 30 (Brainpool P512r1)</label>
							<label tag="group29">Group 29 (Brainpool P384r1)</label>
							<label tag="group28">Group 28 (Brainpool P256r1)</label>
							<label tag="group21">Group 21 (521 bit Random ECP)</label>
							<label tag="group20">Group 20 (384 bit Random ECP)</label>
							<label tag="group19">Group 19 (256 bit Random ECP)</label>
							<label tag="group18">Group 18 (8192 bit)</label>
							<label tag="group17">Group 17 (6144 bit)</label>
							<label tag="group16">Group 16 (4096 bit)</label>
							<label tag="group15">Group 15 (3072 bit)</label>
							<label tag="group14">Group 14 (2048 bit)</label>
							<label tag="group5">Group 5 (1536 bit)</label>
							<label tag="group2">Group 2 (1024 bit)</label>
							<label tag="group1">Group 1 (768 bit)</label>
						</TableView>
						<PopUpButton id="phase1DHGroups:popup">
							<label tag="group32">Group 32 (Curve448)</label>
							<label tag="group31">Group 31 (Curve25519)</label>
							<label tag="group30">Group 30 (Brainpool P512r1)</label>
							<label tag="group29">Group 29 (Brainpool P384r1)</label>
							<label tag="group28">Group 28 (Brainpool P256r1)</label>
							<label tag="group21">Group 21 (521 bit Random ECP)</label>
							<label tag="group20">Group 20 (384 bit Random ECP)</label>
							<label tag="group19">Group 19 (256 bit Random ECP)</label>
							<label tag="group18">Group 18 (8192 bit)</label>
							<label tag="group17">Group 17 (6144 bit)</label>
							<label tag="group16">Group 16 (4096 bit)</label>
							<label tag="group15">Group 15 (3072 bit)</label>
							<label tag="group14">Group 14 (2048 bit)</label>
							<label tag="group5">Group 5 (1536 bit)</label>
							<label tag="group2">Group 2 (1024 bit)</label>
							<label tag="group1">Group 1 (768 bit)</label>
						</PopUpButton>
					</RowContainer>
					<ImageButton id="phase1DHGroupHelp" dontReplicate="1" axLabel="Help" >
						<CocoaAttributes backgroundOff="flexview-help" backgroundOffRollover="flexview-help-rollover" backgroundOffClicked="flexview-help-clicked" />
					</ImageButton>
				</ColumnContainer>
			</ColumnContainer>
		</RowContainer>

		<RowContainer id="phase2Stripe" cocoaAttributes="stripe">
			<ColumnContainer columns="Replicator,Label,Space,Content">
				<TextField label="Phase 2 Proposal" columnId="Label">
					<Attributes font="BoldRegularSystemFont" />
				</TextField>
			</ColumnContainer>

			<ColumnContainer id="phase2KeysetIDHidingContainer" columns="Replicator,Label,Space,Content">
				<TextField label="Phase 2 Keyset IDs" columnId="Label" />
				<ColumnContainer columnId="Content" columns="TablesColumn,HelpColumn">
					<PopUpButton id="phase2KeysetID" columnId="TablesColumn">
						<label tag="0,0">KEYSET_LOCAL_0_REMOTE_0</label>
						<label tag="0,1">KEYSET_LOCAL_0_REMOTE_1</label>
						<label tag="1,0">KEYSET_LOCAL_1_REMOTE_0</label>
					</PopUpButton>
<!--				<ImageButton id="phase2KeysetIDHelp" dontReplicate="1" axLabel="Help" >-->
<!--					<CocoaAttributes backgroundOff="flexview-help" backgroundOffRollover="flexview-help-rollover" backgroundOffClicked="flexview-help-clicked" />-->
<!--				</ImageButton>-->
				</ColumnContainer>
			</ColumnContainer>

			<ColumnContainer id="phase2LifetimeInSecondsHidingContainer" columns="Replicator,Label,Space,Content">
				<TextField label="Lifetime" columnId="Label" />
				<ColumnContainer columnId="Content">
					<TextView value="3600" label="Lifetime" id="phase2LifetimeInSeconds" fieldEditor="1" viewModeGray="1" />
					<TextField label="seconds" viewModeGray="1" />
					<ImageButton id="phase2LifetimeInSecondsHelp" dontReplicate="1" axLabel="Help" >
						<CocoaAttributes backgroundOff="flexview-help" backgroundOffRollover="flexview-help-rollover" backgroundOffClicked="flexview-help-clicked" />
					</ImageButton>
				</ColumnContainer>
			</ColumnContainer>
			
			<ColumnContainer id="phase2EncryptionAlgorithmsHidingContainer" columns="Replicator,Label,Space,Content">
				<TextField label="Encryption Algorithm" columnId="Label">
					<Attributes font="RegularSystemFont" />
				</TextField>
				<ColumnContainer columns="TablesColumn" columnId="Content">
					<RowContainer columnId="TablesColumn">
						<TableView id="phase2EncryptionAlgorithms:table">
							<label tag="chacha20 poly1305">ChaCha20 Poly1305</label>
							<label tag="aes 256 gcm">AES 256 GCM</label>
							<label tag="aes 192 gcm">AES 192 GCM</label>
							<label tag="aes 128 gcm">AES 128 GCM</label>
							<label tag="aes 256">AES 256</label>
							<label tag="aes 192">AES 192</label>
							<label tag="aes 128">AES 128</label>
							<label tag="3des">3DES</label>
							<label tag="des">DES</label>
							<label tag="blowfish">Blowfish</label>
							<label tag="cast128">CAST 128</label>
							<label tag="des-iv32">DES IV32</label>
							<label tag="des-iv64">DES IV64</label>
							<label tag="rc4 128">RC4 128</label>
							<label tag="rc4 56">RC4 56</label>
							<label tag="rc4 40">RC4 40</label>
							<label tag="none">None</label>
						</TableView>
						<PopUpButton id="phase2EncryptionAlgorithms:popup">
							<label tag="chacha20 poly1305">ChaCha20 Poly1305</label>
							<label tag="aes 256 gcm">AES 256 GCM</label>
							<label tag="aes 192 gcm">AES 192 GCM</label>
							<label tag="aes 128 gcm">AES 128 GCM</label>
							<label tag="aes 256">AES 256</label>
							<label tag="aes 192">AES 192</label>
							<label tag="aes 128">AES 128</label>
							<label tag="3des">3DES</label>
							<label tag="des">DES</label>
							<label tag="blowfish">Blowfish</label>
							<label tag="cast128">CAST 128</label>
							<label tag="des-iv32">DES IV32</label>
							<label tag="des-iv64">DES IV64</label>
							<label tag="rc4 128">RC4 128</label>
							<label tag="rc4 56">RC4 56</label>
							<label tag="rc4 40">RC4 40</label>
							<label tag="none">None</label>
						</PopUpButton>
					</RowContainer>
					<ImageButton id="phase2EncryptionAlgorithmsHelp" dontReplicate="1" axLabel="Help" >
						<CocoaAttributes backgroundOff="flexview-help" backgroundOffRollover="flexview-help-rollover" backgroundOffClicked="flexview-help-clicked" />
					</ImageButton>
				</ColumnContainer>
			</ColumnContainer>

			<ColumnContainer id="phase2AuthenticationAlgorithmsHidingContainer" columns="Replicator,Label,Space,Content">
				<TextField label="Authentication Algorithm" columnId="Label">
					<Attributes font="RegularSystemFont" />
				</TextField>
				<ColumnContainer columns="TablesColumn" columnId="Content">
					<RowContainer columnId="TablesColumn">
						<TableView id="phase2AuthenticationAlgorithms:table">
							<label tag="none">No Authentication</label>
							<label tag="hmac_sha1">HMAC SHA1</label>
							<label tag="hmac_md5">HMAC MD5</label>
							<label tag="hmac_sha2_256">HMAC SHA2 (256)</label>
							<label tag="hmac_sha2_384">HMAC SHA2 (384)</label>
							<label tag="hmac_sha2_512">HMAC SHA2 (512)</label>
						</TableView>
						<PopUpButton id="phase2AuthenticationAlgorithms:popup">
							<label tag="none">No Authentication</label>
							<label tag="hmac_sha1">HMAC SHA1</label>
							<label tag="hmac_md5">HMAC MD5</label>
							<label tag="hmac_sha2_256">HMAC SHA2 (256)</label>
							<label tag="hmac_sha2_384">HMAC SHA2 (384)</label>
							<label tag="hmac_sha2_512">HMAC SHA2 (512)</label>
						</PopUpButton>
					</RowContainer>
					<ImageButton id="phase2AuthenticationAlgorithmsHelp" dontReplicate="1" axLabel="Help" >
						<CocoaAttributes backgroundOff="flexview-help" backgroundOffRollover="flexview-help-rollover" backgroundOffClicked="flexview-help-clicked" />
					</ImageButton>
				</ColumnContainer>
			</ColumnContainer>

			<ColumnContainer id="phase2CompressionAlgorithmsHidingContainer" columns="Replicator,Label,Space,Content">
				<TextField label="Compression Algorithm" columnId="Label">
					<Attributes font="RegularSystemFont" />
				</TextField>
				<ColumnContainer columns="TablesColumn" columnId="Content">
					<RowContainer columnId="TablesColumn">
						<TableView id="phase2CompressionAlgorithms:table">
							<label tag="none">No Compression</label>
							<label tag="lzo">LZO</label>
							<label tag="lz4">LZ4</label>
							<label tag="lz4_v2">LZ4_V2</label>
							<label tag="stub">STUB</label>
							<label tag="stub2">STUB2</label>
							<label tag="stub3">STUB3</label>
						</TableView>
						<PopUpButton id="phase2CompressionAlgorithms:popup">
							<label tag="none">No Compression</label>
							<label tag="lzo">LZO</label>
							<label tag="lz4">LZ4</label>
							<label tag="lz4_v2">LZ4_V2</label>
							<label tag="stub">STUB</label>
							<label tag="stub2">STUB2</label>
							<label tag="stub3">STUB3</label>
						</PopUpButton>
					</RowContainer>
					<ImageButton id="phase2CompressionAlgorithmsHelp" dontReplicate="1" axLabel="Help" >
						<CocoaAttributes backgroundOff="flexview-help" backgroundOffRollover="flexview-help-rollover" backgroundOffClicked="flexview-help-clicked" />
					</ImageButton>
				</ColumnContainer>
			</ColumnContainer>

			<ColumnContainer id="phase2PfsGroupHidingContainer" columns="Replicator,Label,Space,Content">
				<TextField label="Perfect Forward Secrecy (PFS)" columnId="Label">
					<Attributes font="RegularSystemFont" />
				</TextField>
				<RowContainer columnId="Content">
					<ColumnContainer columns="TablesColumn">
						<PopUpButton id="phase2PfsGroup" columnId="TablesColumn">
							<label tag="no_pfs">Off</label>
							<label tag="sep">-</label>
							<label tag="group1">Group 1</label>
							<label tag="group2">Group 2</label>
							<label tag="group5">Group 5</label>
							<label tag="group14">Group 14</label>
							<label tag="group15">Group 15</label>
							<label tag="group16">Group 16</label>
							<label tag="group17">Group 17</label>
							<label tag="group18">Group 18</label>
							<label tag="group19">Group 19</label>
							<label tag="group20">Group 20</label>
							<label tag="group21">Group 21</label>
							<label tag="group28">Group 28</label>
							<label tag="group29">Group 29</label>
							<label tag="group30">Group 30</label>
							<label tag="group31">Group 31</label>
							<label tag="group32">Group 32</label>
						</PopUpButton>
						<ImageButton id="phase2PFSHelp" dontReplicate="1" axLabel="Help" >
							<CocoaAttributes backgroundOff="flexview-help" backgroundOffRollover="flexview-help-rollover" backgroundOffClicked="flexview-help-clicked" />
						</ImageButton>
					</ColumnContainer>
				</RowContainer>
			</ColumnContainer>

			<RowContainer id="phase2CiscoStyleSharedSAHidingContainer">
				<ColumnContainer minHeight="4"/>
				<ColumnContainer columns="Replicator,Label,Space,Content">
					<RowContainer columnId="Content">
						<ColumnContainer>
							<CheckBox label="Establish a single tunnel to 0.0.0.0/0 even for split-tunneling" id="phase2CiscoStyleSharedSA" />
							<ImageButton id="phase2CiscoStyleSharedSAHelp" dontReplicate="1" axLabel="Help">
								<CocoaAttributes backgroundOff="flexview-help" backgroundOffRollover="flexview-help-rollover" backgroundOffClicked="flexview-help-clicked" />
							</ImageButton>
						</ColumnContainer>
					</RowContainer>
				</ColumnContainer>
			</RowContainer>

			<RowContainer id="phase2UniqueSAsHidingContainer">
				<ColumnContainer minHeight="4"/>
				<ColumnContainer columns="Replicator,Label,Space,Content">
					<RowContainer columnId="Content">
						<ColumnContainer>
							<CheckBox label="Establish unique SAs for multiple networks" id="phase2UniqueSAs"/>
							<ImageButton id="phase2UniqueSAsHelp" dontReplicate="1" axLabel="Help">
								<CocoaAttributes backgroundOff="flexview-help" backgroundOffRollover="flexview-help-rollover" backgroundOffClicked="flexview-help-clicked" />
							</ImageButton>
						</ColumnContainer>
					</RowContainer>
				</ColumnContainer>
			</RowContainer>
		</RowContainer>

		<RowContainer id="trafficControlStripe" cocoaAttributes="stripe">
			<ColumnContainer id="vpnExemptModeHidingContainer" columns="Replicator,Label,Space,Content">
				<TextField label="Traffic Control" columnId="Label">
					<Attributes font="BoldRegularSystemFont" />
				</TextField>
				<ColumnContainer columnId="Content">
					<PopUpButton id="vpnExemptMode">
						<label tag="exempt">Always exempt the addresses below from VPN</label>
						<label tag="include">Send only traffic for the addresses below over VPN</label>
					</PopUpButton>
					<ImageButton id="vpnExemptNetworksHelp" axLabel="Help">
						<CocoaAttributes backgroundOff="flexview-help" backgroundOffRollover="flexview-help-rollover" backgroundOffClicked="flexview-help-clicked" />
					</ImageButton>
				</ColumnContainer>
			</ColumnContainer>
			<ColumnContainer id="vpnExemptNetworksHidingContainer" columns="Replicator,Label,Space,Content" replicateMax="-1">
				<RowContainer columnId="Content">
					<TextView id="vpnExemptNetworks" label="AddressPlaceholder" fieldEditor="1" viewModeGray="1" />
				</RowContainer>
			</ColumnContainer>
			<ColumnContainer id="forceLocalTrafficOverVPNHidingContainer" columns="Replicator,Label,Space,Content">
				<ColumnContainer columnId="Content">
					<CheckBox label="Force traffic over the VPN" id="forceLocalTrafficOverVPN"/>
					<ImageButton id="forceLocalTrafficOverVPNHelp" axLabel="Help">
						<CocoaAttributes backgroundOff="flexview-help" backgroundOffRollover="flexview-help-rollover" backgroundOffClicked="flexview-help-clicked" />
					</ImageButton>
				</ColumnContainer>
			</ColumnContainer>
		</RowContainer>
		
		<RowContainer id="nattModeHidingContainer" cocoaAttributes="stripe">
			<ColumnContainer columns="Replicator,Label,Space,Content">
				<TextField label="NAT-Traversal" columnId="Label">
					<Attributes font="BoldRegularSystemFont" />
				</TextField>
				<ColumnContainer columnId="Content" columns="nattModeFieldColumn, nattModeHelpColumn">
					<PopUpButton id="nattMode" tagValue="main" columnId="nattModeFieldColumn">
						<label tag="automatic">automatic</label>
						<label tag="enforced">enforced</label>
						<label tag="disabled">disabled</label>
					</PopUpButton>
					<ImageButton id="nattModeHelp" columnId="nattModeHelpColumn" dontReplicate="1" axLabel="Help">
						<CocoaAttributes backgroundOff="flexview-help" backgroundOffRollover="flexview-help-rollover" backgroundOffClicked="flexview-help-clicked" />
					</ImageButton>
				</ColumnContainer>
			</ColumnContainer>
		</RowContainer>

		<RowContainer id="certficatesStripe" cocoaAttributes="stripe" columns="Replicator,Label,Space,Content">
			<ColumnContainer columns="Replicator,Label,Space,Content">
				<TextField label="Certificates" columnId="Label" >
					<Attributes font="BoldRegularSystemFont" />
				</TextField>
			</ColumnContainer>
			<ColumnContainer id="phase1SendCertificateHidingContainer" columns="Replicator,Label,Space,Content">
				<ColumnContainer columnId="Content" columns="phase1SendCertificateColumn, phase1SendCertificateHelpColumn">
					<CheckBox label="Send certificate" id="phase1SendCertificate" columnId="phase1SendCertificateColumn" />
					<ImageButton id="phase1SendCertificateHelp" columnId="phase1SendCertificateHelpColumn" dontReplicate="1" axLabel="Help">
						<CocoaAttributes backgroundOff="flexview-help" backgroundOffRollover="flexview-help-rollover" backgroundOffClicked="flexview-help-clicked" />
					</ImageButton>
				</ColumnContainer>
			</ColumnContainer>
			<ColumnContainer id="phase1SendRequestRemoteCertificateHidingContainer" columns="Replicator,Label,Space,Content">
				<ColumnContainer columnId="Content" columns="phase1SendRequestRemoteCertificateColumn, phase1SendRequestRemoteCertificateHelpColumn">
					<CheckBox label="Send request for remote certificate" id="phase1SendRequestRemoteCertificate" columnId="phase1SendRequestRemoteCertificateColumn" />
					<ImageButton id="phase1SendRequestRemoteCertificateHelp" columnId="phase1SendRequestRemoteCertificateHelpColumn" dontReplicate="1" axLabel="Help">
						<CocoaAttributes backgroundOff="flexview-help" backgroundOffRollover="flexview-help-rollover" backgroundOffClicked="flexview-help-clicked" />
					</ImageButton>
				</ColumnContainer>
			</ColumnContainer>
			<RowContainer id="phase1VerifyRemoteCertificateHidingContainer">
				<ColumnContainer columns="Replicator,Label,Space,Content">
					<ColumnContainer columnId="Content" columns="phase1VerifyRemoteCertificateColumn, phase1VerifyRemoteCertificateHelpColumn">
						<CheckBox label="Verify remote certificate" id="phase1VerifyRemoteCertificate" columnId="phase1VerifyRemoteCertificateColumn" />
						<ImageButton id="phase1VerifyRemoteCertificateHelp" columnId="phase1VerifyRemoteCertificateHelpColumn" dontReplicate="1" axLabel="Help">
							<CocoaAttributes backgroundOff="flexview-help" backgroundOffRollover="flexview-help-rollover" backgroundOffClicked="flexview-help-clicked" />
						</ImageButton>
					</ColumnContainer>
				</ColumnContainer>			
				<ColumnContainer id="phase1VerifyRemoteCertificateWarning" columns="Replicator,Label,Space,Content" padding="20,0,0,0">
					<TextField label="Important: You should not turn off this option except for debugging purposes." columnId="Content">
						<Attributes textColor="66" />
					</TextField>
				</ColumnContainer>
			</RowContainer>
		</RowContainer>
		
		<RowContainer id="timeoutStripe" cocoaAttributes="stripe">		
			<ColumnContainer columns="Replicator,Label,Space,Content">
				<TextField label="Connect Timeout" columnId="Label" >
					<Attributes font="BoldRegularSystemFont" />
				</TextField>
				<ColumnContainer columnId="Content" columns="timeoutColumn, timeoutHelpColumn">
					<ColumnContainer columnId="timeoutColumn">
						<TextView value="45" label="Connect timeout" id="timerConnectTimeout" fieldEditor="1" viewModeGray="1" />
						<TextField label="seconds" viewModeGray="1" />
					</ColumnContainer>
					<ImageButton id="timeoutHelp" columnId="timeoutHelpColumn" dontReplicate="1" axLabel="Help">
						<CocoaAttributes backgroundOff="flexview-help" backgroundOffRollover="flexview-help-rollover" backgroundOffClicked="flexview-help-clicked" />
					</ImageButton>
				</ColumnContainer>
			</ColumnContainer>
		</RowContainer>

		<RowContainer id="interoperabilityStripe" cocoaAttributes="stripe">
			<ColumnContainer columns="Replicator,Label,Space,Content">
				<TextField label="Interoperability" columnId="Label">
					<Attributes font="BoldRegularSystemFont" />
				</TextField>
			</ColumnContainer>
			<ColumnContainer id="openVPNConnectCompatibilityHidingContainer" columns="Replicator,Label,Space,Content">
				<ColumnContainer columnId="Content" columns="openVPNConnectCompatibilityColumn, openVPNConnectCompatibilityHelpColumn">
					<CheckBox label="OpenVPN Connect client compatibility mode" id="openVPNConnectCompatibility" columnId="openVPNConnectCompatibilityColumn"/>
					<ImageButton id="openVPNConnectCompatibilityHelp" columnId="openVPNConnectCompatibilityHelpColumn" dontReplicate="1" axLabel="Help">
						<CocoaAttributes backgroundOff="flexview-help" backgroundOffRollover="flexview-help-rollover" backgroundOffClicked="flexview-help-clicked" />
					</ImageButton>
				</ColumnContainer>
			</ColumnContainer>
			<ColumnContainer id="sendPeerInfoHidingContainer" columns="Replicator,Label,Space,Content">
				<ColumnContainer columnId="Content" columns="sendPeerInfoColumn, sendPeerInfoHelpColumn">
					<CheckBox label="Send peer info" id="sendPeerInfo" columnId="sendPeerInfoColumn"/>
					<ImageButton id="sendPeerInfoHelp" columnId="sendPeerInfoHelpColumn" dontReplicate="1" axLabel="Help">
						<CocoaAttributes backgroundOff="flexview-help" backgroundOffRollover="flexview-help-rollover" backgroundOffClicked="flexview-help-clicked" />
					</ImageButton>
				</ColumnContainer>
			</ColumnContainer>
			<ColumnContainer id="tunnelProtocolHidingContainer" columns="Replicator,Label,Space,Content">
				<ColumnContainer columnId="Content" columns="tunnelProtocolLabelColumn, tunnelProtocolPickerColumn, tunnelProtocolHelpColumn">
					<TextField label="Tunnel Protocol" columnId="tunnelProtocolLabelColumn"/>
					<PopUpButton id="tunnelProtocol" columnId="tunnelProtocolPickerColumn">
						<label tag="auto">Tunnel Protocol Auto</label>
						<label tag="tls">Tunnel Protocol TLS</label>
						<label tag="dtls">Tunnel Protocol DTLS</label>
					</PopUpButton>
					<ImageButton id="tunnelProtocolHelp" columnId="tunnelProtocolHelpColumn" dontReplicate="1" axLabel="Help">
						<CocoaAttributes backgroundOff="flexview-help" backgroundOffRollover="flexview-help-rollover" backgroundOffClicked="flexview-help-clicked" />
					</ImageButton>
				</ColumnContainer>
			</ColumnContainer>
			<ColumnContainer id="allowDHGroupFallbackHidingContainer" columns="Replicator,Label,Space,Content">
				<ColumnContainer columnId="Content" columns="allowDHGroupFallbackColumn, allowDHGroupFallbackHelpColumn">
					<CheckBox label="Allow automatic downgrade to weaker DH groups (reduced security)" id="allowDHGroupFallback" columnId="allowDHGroupFallbackColumn"/>
					<ImageButton id="allowDHGroupFallbackHelp" columnId="allowDHGroupFallbackHelpColumn" dontReplicate="1" axLabel="Help">
						<CocoaAttributes backgroundOff="flexview-help" backgroundOffRollover="flexview-help-rollover" backgroundOffClicked="flexview-help-clicked" />
					</ImageButton>
				</ColumnContainer>
			</ColumnContainer>
			<ColumnContainer id="tlsVersionHidingContainer" columns="Replicator,Label,Space,Content">
				<ColumnContainer columnId="Content" columns="tlsVersionLabelColumn, tlsVersionPickerColumn, tlsVersionHelpColumn">
					<TextField label="TLS Version" columnId="tlsVersionLabelColumn"/>
					<PopUpButton id="tlsVersion" columnId="tlsVersionPickerColumn">
						<label tag="auto">TLS Version Auto</label>
						<label tag="latest">TLS Version Latest</label>
						<label tag="1.2-1.3">TLS Version 1.2-1.3</label>
						<label tag="1.0-1.1">TLS Version 1.0-1.1</label>
					</PopUpButton>
					<ImageButton id="tlsVersionHelp" columnId="tlsVersionHelpColumn" dontReplicate="1" axLabel="Help">
						<CocoaAttributes backgroundOff="flexview-help" backgroundOffRollover="flexview-help-rollover" backgroundOffClicked="flexview-help-clicked" />
					</ImageButton>
				</ColumnContainer>
			</ColumnContainer>
			<ColumnContainer id="keepAliveEnabledHidingContainer" columns="Replicator,Label,Space,Content">
				<ColumnContainer columnId="Content" columns="keepAliveEnabledColumn, keepAliveIntervalColumn, keepAliveEnabledHelpColumn">
					<CheckBox label="Send keep-alive ping every" id="keepAliveEnabled" columnId="keepAliveEnabledColumn"/>
					<ColumnContainer id="keepAliveIntervalHidingContainer" columnId="keepAliveIntervalColumn">
						<TextView value="10" label="number of seconds" id="keepAliveInterval" fieldEditor="1" viewModeGray="1" />
						<TextField label="seconds" viewModeGray="1" />
					</ColumnContainer>
					<ImageButton id="keepAliveEnabledHelp" columnId="keepAliveEnabledHelpColumn" dontReplicate="1" axLabel="Help">
						<CocoaAttributes backgroundOff="flexview-help" backgroundOffRollover="flexview-help-rollover" backgroundOffClicked="flexview-help-clicked" />
					</ImageButton>
				</ColumnContainer>
			</ColumnContainer>
			<ColumnContainer id="maxInactivityEnabledHidingContainer" columns="Replicator,Label,Space,Content">
				<ColumnContainer columnId="Content" columns="maxInactivityEnabledColumn, maxInactivityIntervalColumn, maxInactivityEnabledHelpColumn">
					<CheckBox label="Disconnect if inactive for" id="maxInactivityEnabled" columnId="maxInactivityEnabledColumn"/>
					<ColumnContainer id="maxInactivityIntervalHidingContainer" columnId="maxInactivityIntervalColumn">
						<TextView value="60" label="number of seconds" id="maxInactivityInterval" fieldEditor="1" viewModeGray="1" />
						<TextField label="seconds" viewModeGray="1" />
					</ColumnContainer>
					<ImageButton id="maxInactivityEnabledHelp" columnId="maxInactivityEnabledHelpColumn" dontReplicate="1" axLabel="Help">
						<CocoaAttributes backgroundOff="flexview-help" backgroundOffRollover="flexview-help-rollover" backgroundOffClicked="flexview-help-clicked" />
					</ImageButton>
				</ColumnContainer>
			</ColumnContainer>
			<ColumnContainer id="phase1SendInitialContactHidingContainer" columns="Replicator,Label,Space,Content">
				<RowContainer columnId="Content">
					<ColumnContainer columnId="Content" columns="phase1SendInitialContactColumn, phase1SendInitialContactHelpColumn">
						<CheckBox label="Send INITIAL-CONTACT message" id="phase1SendInitialContact" columnId="phase1SendInitialContactColumn"/>
						<ImageButton id="phase1SendInitialContactHelp" columnId="phase1SendInitialContactHelpColumn" dontReplicate="1" axLabel="Help">
							<CocoaAttributes backgroundOff="flexview-help" backgroundOffRollover="flexview-help-rollover" backgroundOffClicked="flexview-help-clicked" />
						</ImageButton>
					</ColumnContainer>
					<TextField id="phase1SendInitialContactWarning" label="Important: If you select this option, some devices may disconnect other VPN users.">
						<Attributes textColor="66" />
					</TextField>
				</RowContainer>
			</ColumnContainer>			
			<ColumnContainer id="sendDPDHidingContainer" columns="Replicator,Label,Space,Content">
				<ColumnContainer columnId="Content" columns="sendDPDColumn, sendDPDHelpColumn">
					<CheckBox label="Advertise as Dead Peer Detection capable" id="sendDPD" columnId="sendDPDColumn"/>
					<ImageButton id="sendDPDHelp" columnId="sendDPDHelpColumn" dontReplicate="1" axLabel="Help">
						<CocoaAttributes backgroundOff="flexview-help" backgroundOffRollover="flexview-help-rollover" backgroundOffClicked="flexview-help-clicked" />
					</ImageButton>
				</ColumnContainer>
			</ColumnContainer>
			<ColumnContainer id="performActiveDPDHidingContainer" columns="Replicator,Label,Space,Content">
				<ColumnContainer columnId="Content" columns="performActiveDPDColumn, performActiveDPDIntervalColumn, performActiveDPDHelpColumn">
					<CheckBox label="Perform active Dead Peer Detection every" id="performActiveDPD" columnId="performActiveDPDColumn"/>
					<ColumnContainer id="activeDPDIntervalHidingContainer" columnId="performActiveDPDIntervalColumn">
						<TextView value="10" label="number of seconds" id="activeDPDInterval" fieldEditor="1" viewModeGray="1" />
						<TextField label="seconds if necessary" viewModeGray="1" />
					</ColumnContainer>
					<ImageButton id="performActiveDPDHelp" columnId="performActiveDPDHelpColumn" dontReplicate="1" axLabel="Help">
						<CocoaAttributes backgroundOff="flexview-help" backgroundOffRollover="flexview-help-rollover" backgroundOffClicked="flexview-help-clicked" />
					</ImageButton>
				</ColumnContainer>
			</ColumnContainer>
			<ColumnContainer id="modeConfigApplicationVersionHidingContainer" columns="Replicator,Label,Space,Content">
				<ColumnContainer columnId="Content">
					<TextField label="Use" viewModeGray="1" />
					<TextView value="" label="VPN Tracker X" id="modeConfigApplicationVersion" fieldEditor="1" viewModeGray="1" />
					<TextField label="as the application version during Mode Config" viewModeGray="1" />
					<ImageButton id="modeConfigApplicationVersionHelp" dontReplicate="1" axLabel="Help">
						<CocoaAttributes backgroundOff="flexview-help" backgroundOffRollover="flexview-help-rollover" backgroundOffClicked="flexview-help-clicked" />
					</ImageButton>
				</ColumnContainer>
			</ColumnContainer>
			<ColumnContainer id="ciscoHidingContainer" columns="Replicator,Label,Space,Content">
					<TextField label="Cisco" columnId="Label" />
					<RowContainer columnId="Content">
						<ColumnContainer id="phase1SendVendorIDCiscoUnityHidingContainer">
							<CheckBox label="Send Cisco Unity Vendor ID" id="phase1SendVendorIDCiscoUnity"/>
							<ImageButton id="phase1SendVendorIDCiscoUnityHelp" dontReplicate="1" axLabel="Help">
								<CocoaAttributes backgroundOff="flexview-help" backgroundOffRollover="flexview-help-rollover" backgroundOffClicked="flexview-help-clicked" />
							</ImageButton>
						</ColumnContainer>
						<ColumnContainer id="modeConfigSendCiscoFirewallAttributeHidingContainer">
							<CheckBox label="Send Cisco firewall attribute during Mode Config" id="modeConfigSendCiscoFirewallAttribute" />
							<ImageButton id="modeConfigSendCiscoFirewallAttributeHelp" dontReplicate="1" axLabel="Help">
								<CocoaAttributes backgroundOff="flexview-help" backgroundOffRollover="flexview-help-rollover" backgroundOffClicked="flexview-help-clicked" />
							</ImageButton>
						</ColumnContainer>
					</RowContainer>
			</ColumnContainer>
		</RowContainer>

		<RowContainer id="additionalSettingsStripe" cocoaAttributes="lastContentStripe" columns="Replicator,Label,Space,Content">
			<ColumnContainer columns="Replicator,Label,Space,Content">
				<TextField label="Additional Settings" columnId="Label">
					<Attributes font="BoldRegularSystemFont" />
				</TextField>
			</ColumnContainer>


			<RowContainer columns="Replicator,Label,Space,Content" id="additionalSettingsHiddenStripe" >
				<ColumnContainer columns="Replicator,Label,Space,Content" minHeight="12" />

				<RowContainer id="dnsLookupPreferredIPVersionHidingContainer">
					<ColumnContainer columns="Replicator,Label,Space,Content">
						<TextField label="DNS IP Version Preferrence" columnId="Label" />
						<ColumnContainer columns="PopupsColumn" columnId="Content">
							<PopUpButton id="dnsLookupPreferredIPVersion" tagValue="auto" columnId="PopupsColumn">
								<label tag="auto">DNS Lookup IPv Auto</label>
								<label tag="ipv4">DNS Lookup Prefer IPv4</label>
								<label tag="ipv6">DNS Lookup Perfer IPv6</label>
								<label tag="ipv4Only">DNS Lookup IPv4 Only</label>
								<label tag="ipv6Only">DNS Lookup IPv6 Only</label>
							</PopUpButton>
							<ImageButton id="dnsLookupPreferredIPVersionHelp" dontReplicate="1" axLabel="Help">
								<CocoaAttributes backgroundOff="flexview-help" backgroundOffRollover="flexview-help-rollover" backgroundOffClicked="flexview-help-clicked" />
							</ImageButton>
						</ColumnContainer>
					</ColumnContainer>
				</RowContainer>

				<RowContainer id="randomizeRemoteHostHidingContainer">
					<ColumnContainer columns="Replicator,Label,Space,Content">
						<TextField label="Remote Random Hostname" columnId="Label"/>
						<ColumnContainer columnId="Content">
							<CheckBox label="Randomize VPN Gateway address" id="randomizeRemoteHost"/>
							<ImageButton id="remoteRandomHostnameHelp" dontReplicate="1" axLabel="Help">
								<CocoaAttributes backgroundOff="flexview-help" backgroundOffRollover="flexview-help-rollover" backgroundOffClicked="flexview-help-clicked" />
							</ImageButton>
						</ColumnContainer>
					</ColumnContainer>
				</RowContainer>

				<RowContainer id="remoteNetworkIdentifiersHidingContainer">
					<ColumnContainer id="remoteNetworkIdentifiersReplicationContainer" columns="Replicator,Label,Space,Content" replicateMax="-1">
						<TextField id="remoteNetworksLabel" label="Physical Remote Network(s)" columnId="Label" dontReplicate="1" />
						<ColumnContainer columnId="Content">
							<RowContainer>
								<ColumnContainer  columns="Input,Autofill">
									<TextView id="remoteNetworkIdentifiers" label="MAC Address" columnId="Input" fieldEditor="1" viewModeGray="1" />
									<ColumnContainer id="Autofill">
										<ImageButton id="autofillNetworkIdentifier" axLabel="Autofill MAC Address">
											<CocoaAttributes backgroundOff="flexview-arrow" backgroundOffRollover="flexview-arrow" backgroundOffClicked="flexview-arrow-clicked" />
										</ImageButton>
										<TextField id="autofillNetworkIdentifierLabel" label="Use current network" redirectId="autofillNetworkIdentifier" url="">
											<Attributes textColor="2589fb"/>
										</TextField>
									</ColumnContainer>
								</ColumnContainer>
							</RowContainer>
							<ImageButton id="remoteNetworkIdentifiersHelp" dontReplicate="1" axLabel="Help">
								<CocoaAttributes backgroundOff="flexview-help" backgroundOffRollover="flexview-help-rollover" backgroundOffClicked="flexview-help-clicked" />
							</ImageButton>
						</ColumnContainer>
					</ColumnContainer>
					<ColumnContainer columns="Replicator,Label,Space,Content" minHeight="4" />
				</RowContainer>

				<RowContainer id="mtuStripe" >
					<ColumnContainer columns="Replicator,Label,Space,Content">
						<TextField label="MTU" columnId="Label" />
						<ColumnContainer columnId="Content">
							<CheckBox label="Set MTU for network used by VPN:" id="mtuForInterfaceUsedByVPN" />
							<TextView value="1280" label="MTU size" id="mtuSizeInBytes" fieldEditor="1" viewModeGray="1" />
							<TextField label="bytes" viewModeGray="1" />
							<ImageButton id="mtuSizeInBytesHelp" dontReplicate="1" axLabel="Help" >
								<CocoaAttributes backgroundOff="flexview-help" backgroundOffRollover="flexview-help-rollover" backgroundOffClicked="flexview-help-clicked" />
							</ImageButton>
						</ColumnContainer>
					</ColumnContainer>
					<ColumnContainer columns="Replicator,Label,Space,Content" minHeight="4" />
				</RowContainer>

				<RowContainer id="credentialDialogTimeoutHidingContainer">
					<ColumnContainer columns="Replicator,Label,Space,Content">
						<TextField label="Credentials" columnId="Label"/>
						<ColumnContainer columnId="Content">
							<TextField label="Display credentials prompt for" />
							<TextView value="1" label="Prompt Timeout" id="credentialDialogTimeout" fieldEditor="1" viewModeGray="1" />
							<TextField label="seconds" viewModeGray="1" />
							<ImageButton id="credentialDialogTimeoutHelp" dontReplicate="1" axLabel="Help" >
								<CocoaAttributes backgroundOff="flexview-help" backgroundOffRollover="flexview-help-rollover" backgroundOffClicked="flexview-help-clicked" />
							</ImageButton>
						</ColumnContainer>
					</ColumnContainer>
					<ColumnContainer columns="Replicator,Label,Space,Content" minHeight="4" />
				</RowContainer>

				<RowContainer id="alwaysShowPSKDialogHidingContainer">
					<ColumnContainer columns="Replicator,Label,Space,Content">
						<RowContainer columnId="Content">
							<ColumnContainer>
								<CheckBox label="Always prompt for shared secret" id="alwaysShowPSKDialog"/>
								<ImageButton id="alwaysShowPSKDialogHelp" dontReplicate="1" axLabel="Help" >
									<CocoaAttributes backgroundOff="flexview-help" backgroundOffRollover="flexview-help-rollover" backgroundOffClicked="flexview-help-clicked" />
								</ImageButton>
							</ColumnContainer>
						</RowContainer>
					</ColumnContainer>
				</RowContainer>
				<RowContainer id="alwaysShowXAUTHDialogHidingContainer">
					<ColumnContainer columns="Replicator,Label,Space,Content">
						<RowContainer columnId="Content">
							<ColumnContainer>
								<CheckBox label="Always prompt for user credentials" id="alwaysShowXAUTHDialog"/>
								<ImageButton id="alwaysShowXAUTHDialogHelp" dontReplicate="1" axLabel="Help" >
									<CocoaAttributes backgroundOff="flexview-help" backgroundOffRollover="flexview-help-rollover" backgroundOffClicked="flexview-help-clicked" />
								</ImageButton>
							</ColumnContainer>
							<ColumnContainer id="useXAUTHPasswordAsPasscodeHidingContainer">
								<CheckBox label="Use stored XAUTH password as passcode" id="useXAUTHPasswordAsPasscode"/>
								<ImageButton id="useXAUTHPasswordAsPasscodeHelp" dontReplicate="1" axLabel="Help" >
									<CocoaAttributes backgroundOff="flexview-help" backgroundOffRollover="flexview-help-rollover" backgroundOffClicked="flexview-help-clicked" />
								</ImageButton>
							</ColumnContainer>
						</RowContainer>
					</ColumnContainer>
				</RowContainer>

				<RowContainer id="cacheXAUTHHidingContainer">
					<ColumnContainer columns="Replicator,Label,Space,Content">
						<ColumnContainer columnId="Content">
							<CheckBox label="Cache user credentials until VPN is disconnected" id="cacheXAUTH"/>
							<ImageButton id="cacheXAUTHHelp" dontReplicate="1" axLabel="Help" >
								<CocoaAttributes backgroundOff="flexview-help" backgroundOffRollover="flexview-help-rollover" backgroundOffClicked="flexview-help-clicked" />
							</ImageButton>
						</ColumnContainer>
					</ColumnContainer>
					<ColumnContainer columns="Replicator,Label,Space,Content" minHeight="4" />
				</RowContainer>


				<RowContainer id="phase1ProposalCheckHidingContainer">
				<ColumnContainer columns="Replicator,Label,Space,Content">
					<TextField label="Proposal check" columnId="Label" />
					<ColumnContainer columns="PopupsColumn" columnId="Content">
						<PopUpButton id="phase1ProposalCheck" tagValue="claim" columnId="PopupsColumn">
							<label tag="obey">obey</label>
							<label tag="strict">strict</label>
							<label tag="claim">claim</label>
							<label tag="exact">exact</label>
						</PopUpButton>
						<ImageButton id="phase1ProposalCheckHelp" dontReplicate="1" axLabel="Help" >
							<CocoaAttributes backgroundOff="flexview-help" backgroundOffRollover="flexview-help-rollover" backgroundOffClicked="flexview-help-clicked" />
						</ImageButton>
					</ColumnContainer>
				</ColumnContainer>
				<ColumnContainer columns="Replicator,Label,Space,Content" minHeight="4" />
				</RowContainer>

				<RowContainer id="paddingHidingContainer">
					<ColumnContainer columns="Replicator,Label,Space,Content">
						<TextField label="Padding" columnId="Label" />
						<RowContainer columnId="Content">
							<ColumnContainer columns="ContentColumn1,ContentColumn2">
								<ColumnContainer columnId="ContentColumn1">
									<CheckBox label="Randomize Padding" id="paddingUseRandomize"/>
									<ImageButton id="paddingUseRandomizeHelp" dontReplicate="1" axLabel="Help" >
										<CocoaAttributes backgroundOff="flexview-help" backgroundOffRollover="flexview-help-rollover" backgroundOffClicked="flexview-help-clicked" />
									</ImageButton>
								</ColumnContainer>
								<ColumnContainer id="paddingUseRandomizeLengthHidingContainer" columnId="ContentColumn2" >
									<CheckBox label="Randomize Padding Length up to" id="paddingUseRandomizeLength" />
									<TextView value="20" label="Maximum Length" id="paddingMaximumLength" fieldEditor="1" viewModeGray="1" />
									<TextField label="bytes" viewModeGray="1" />
									<ImageButton id="paddingUseRandomizeLengthHelp" dontReplicate="1" axLabel="Help" >
										<CocoaAttributes backgroundOff="flexview-help" backgroundOffRollover="flexview-help-rollover" backgroundOffClicked="flexview-help-clicked" />
									</ImageButton>
								</ColumnContainer>
							</ColumnContainer>
							<ColumnContainer columns="ContentColumn1,ContentColumn2">
								<ColumnContainer columnId="ContentColumn1">
									<CheckBox label="Exclusive Padding Tail" id="paddingUseExclusiveTail"/>
									<ImageButton id="paddingUseExclusiveTailHelp" dontReplicate="1" axLabel="Help" >
										<CocoaAttributes backgroundOff="flexview-help" backgroundOffRollover="flexview-help-rollover" backgroundOffClicked="flexview-help-clicked" />
									</ImageButton>
								</ColumnContainer>
								<ColumnContainer columnId="ContentColumn2">
									<CheckBox label="Strict Padding Check" id="paddingUseStrictCheck"/>
									<ImageButton id="paddingUseStrictCheckHelp" dontReplicate="1" axLabel="Help" >
										<CocoaAttributes backgroundOff="flexview-help" backgroundOffRollover="flexview-help-rollover" backgroundOffClicked="flexview-help-clicked" />
									</ImageButton>
								</ColumnContainer>
							</ColumnContainer>
						</RowContainer>
					</ColumnContainer>
					<ColumnContainer columns="Replicator,Label,Space,Content" minHeight="4" />
				</RowContainer>

				<RowContainer id="nonceSizeHidingContainer">
					<ColumnContainer columns="Replicator,Label,Space,Content">
						<TextField label="Nonce Size" columnId="Label" id="nonceSizeLabel" />
						<ColumnContainer columnId="Content">
							<TextView value="16" label="Nonce Size" id="nonceSize" fieldEditor="1" viewModeGray="1" />
							<TextField label="bytes" id="nonceSizeUnitLabel" viewModeGray="1" />
							<ImageButton id="nonceSizeHelp" dontReplicate="1" axLabel="Help" >
								<CocoaAttributes backgroundOff="flexview-help" backgroundOffRollover="flexview-help-rollover" backgroundOffClicked="flexview-help-clicked" />
							</ImageButton>
						</ColumnContainer>
					</ColumnContainer>
					<ColumnContainer columns="Replicator,Label,Space,Content" minHeight="4" />
				</RowContainer>
				<RowContainer id="treatPhase2DeletePayloadAsErrorHidingContainer">
					<ColumnContainer columns="Replicator,Label,Space,Content">
						<TextField label="Delete Payloads" columnId="Label" />
						<ColumnContainer columnId="Content">
							<CheckBox label="Treat delete payload in phase 2 as error" id="treatPhase2DeletePayloadAsError" />
							<ImageButton id="treatPhase2DeletePayloadAsErrorHelp" dontReplicate="1" axLabel="Help" >
								<CocoaAttributes backgroundOff="flexview-help" backgroundOffRollover="flexview-help-rollover" backgroundOffClicked="flexview-help-clicked" />
							</ImageButton>
						</ColumnContainer>
					</ColumnContainer>
					<ColumnContainer columns="Replicator,Label,Space,Content" minHeight="4" />
				</RowContainer>
			</RowContainer>
		</RowContainer>

		<RowContainer id="fillEmptySpace" cocoaAttributes="lastStripe">
		</RowContainer>

	</RootContainer>

</FlexViewDescription>
